package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Checkbox;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoPtovta;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoTramo;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class RenderConfRestricaoTramo implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ConfRestricaoTramo confTramos = (ConfRestricaoTramo) o;

		Listcell lc = new Listcell(confTramos.getConfRestricaoTramoId()== null ?" - " : confTramos.getConfRestricaoTramoId().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(confTramos.getTipoPuntoVenta()== null ?" - " :  confTramos.getTipoPuntoVenta().getDesctipo());
		lc.setParent(lstm);
		
		lc = new Listcell(confTramos.getOrigem()== null ?" - " :   confTramos.getOrigem().getDescparada());
		lc.setParent(lstm);
		
		lc = new Listcell(confTramos.getDestino()== null ?" - " :   confTramos.getDestino().getDescparada());
		lc.setParent(lstm);
		
		lc = new Listcell(confTramos.getTempoPermitir()== null ?" - " :   DateUtil.getStringDate(confTramos.getTempoPermitir(),DateUtil.HHmm));
		lc.setParent(lstm);
		
		lc = new Listcell();
		
		criaCheckBoxDiaDaSemana(lc, confTramos.getSegunda());
		criaCheckBoxDiaDaSemana(lc, confTramos.getTerca());
		criaCheckBoxDiaDaSemana(lc, confTramos.getQuarta());
		criaCheckBoxDiaDaSemana(lc, confTramos.getQuinta());
		criaCheckBoxDiaDaSemana(lc, confTramos.getSexta());
		criaCheckBoxDiaDaSemana(lc, confTramos.getSabado());
		criaCheckBoxDiaDaSemana(lc, confTramos.getDomingo());
		
		lc.setParent(lstm);

		lstm.setAttribute("data", confTramos);
	}

	private void criaCheckBoxDiaDaSemana(Listcell lc, Boolean diaDaSemana) {
		Checkbox checkbox = new Checkbox();
		checkbox.setChecked(diaDaSemana!= null && diaDaSemana);
		checkbox.setDisabled(true);
		lc.appendChild(checkbox);
	}
}
